'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _gulpGit = require('gulp-git');

var _gulpGit2 = _interopRequireDefault(_gulpGit);

var _commonUtil = require('../common/util');

exports.isClean = isClean;

/**
 * Asynchrounously determines if the staging area is clean
 */
function isClean(repoPath, done) {
  _gulpGit2['default'].exec({ cwd: repoPath, args: '--no-pager diff --cached --name-only', quiet: true }, function (err, stdout) {
    var stagingIsClean = undefined;
    if (stdout && (0, _commonUtil.isString)(stdout) && stdout.trim().length > 0) {
      stagingIsClean = false;
    } else {
      stagingIsClean = true;
    }
    done(stagingIsClean);
  });
}